### Class

# Phosh FeedbackManager

since: 0

#### Description [src]

    final class Phosh.FeedbackManager : GObject.Object
    {
      /* No available fields */
    }

Sends and configures user feedback.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_feedback_manager_new

No description available.

since: 0

#### Instance methods

###### phosh_feedback_manager_get_icon_name

No description available.

since: 0

###### phosh_feedback_manager_get_profile

No description available.

since: 0

###### phosh_feedback_manager_toggle

No description available.

since: 0

###### phosh_feedback_manager_trigger_feedback

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.FeedbackManager:icon-name

The feedback icon name.

since: 0

###### Phosh.FeedbackManager:present

Whether feedback manager is present.

since: 0

###### Phosh.FeedbackManager:profile

The feedback profile name.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshFeedbackManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.